<div class="wrapper">
    <div class="container">
        <div class="row mt-4 mb-4">
            <div class="col-lg-8">
                <app-banner></app-banner>
                <div class="row">
                    <div class="owl-carousel">
                        <div class="owl-item" *ngFor="let series of seriesList" (click)="getRounds(series.SeriesID,series.SeriesGUID)">
                            <div class="league-logo">
                                <img [src]="series.SeriesFlag" alt="goalak">
                            </div>
                            <div class="league-name" [ngClass]="{'active': selectedSeriesId == series.SeriesID}">{{ series.SeriesName }}</div>
                        </div>
                    </div>
                    <div class="owl-carousel mt-4">
                        <div class="owl-item" *ngFor="let rounds of roundsBySeries" (click)="getMatches(rounds.RoundID)">
                            <div class="league-name" [ngClass]="{'active': selectedRoundsId == rounds.RoundID}">
                                <h5>{{ rounds.RoundName }}</h5>
                                <p>{{ rounds.SeriesStartDateUTC | date: 'dd-MM-yyy' }} - {{ rounds.SeriesEndDateUTC | date: 'dd-MM-yyy' }}
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12 mt-4" *ngIf="matchesByRounds?.length > 0">
                        <div class="heading-box">
                            <span class="black">Make your predictions</span>
                            <span>Monday, 19 July 2021</span>
                        </div>
                    </div>
                    <div class="col-md-6" *ngFor="let matches of matchesByRounds">
                        <div class="matches-box">
                            <div class="icon">
                                <a href="#"><i class="bi bi-share-fill"></i></a>
                            </div>
                            <div class="row">
                                <div class="col-md-4 eboxes">
                                    <img [src]="matches.TeamFlagLocal" alt="">
                                    <p>{{ matches.MatchScoreDetails.TeamScoreLocal.Name }}</p>
                                </div>
                                <div class="col-md-4 eboxes">
                                    <p class="time">{{ matches.MatchStartDateTimeUTC | date: 'hh:mm a' }}</p>
                                </div>
                                <div class="col-md-4 eboxes">
                                    <img [src]="matches.TeamFlagVisitor" alt="">
                                    <p>{{ matches.MatchScoreDetails.TeamScoreVisitor.Name }}</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <button type="button" class="btn btn-secondary">WIN</button>
                                </div>
                                <div class="col-md-4">
                                    <button type="button" class="btn btn-secondary">TIE</button>
                                </div>
                                <div class="col-md-4">
                                    <button type="button" class="btn btn-secondary">WIN</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row main-btn mt-4" *ngIf="matchesByRounds?.length > 0">
                        <div class="col-md-12">
                            <button type="button" class="btn btn-success shadow-sm">My Prediction</button>
                            <button type="button" class="btn btn-success shadow-sm">Results</button>
                            <button type="button" class="btn btn-success shadow-sm">Our prizes</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <ul class="nav nav-pills mb-1 aside-tab" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation" style="cursor: pointer" (click)="changeTab('News')">
                        <a class="nav-link" [ngClass]="{'active': tab == 'News'}" id="pills-home-tab" data-toggle="pill" role="tab" aria-controls="pills-home" aria-selected="true">News</a>
                    </li>
                    <li class="nav-item" role="presentation" style="cursor: pointer" (click)="changeTab('All Matches')">
                        <a class="nav-link" [ngClass]="{'active': tab == 'All Matches'}" id="pills-profile-tab" data-toggle="pill" role="tab" aria-controls="pills-profile" aria-selected="false">All Matches</a>
                    </li>
                </ul>
                <div class="tab-content rounded-bottom" id="pills-tabContent">
                    <div class="tab-pane fade" [ngClass]="{'show active news-tab': tab == 'News'}" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" *ngIf="tab == 'News'">
                        <div class="news-box" *ngFor="let news of newsList.slice(0, 10);">
                            <img [src]="news.media_url" onerror="this.src='https://forodesaopaulo.org/wp-content/uploads/2019/10/image-placeholder-26-min-uai-1032x688.jpg'" class="mb-2" alt="goalak">
                            <small class="text-muted">{{ news.news_date | date: 'dd MMM yyyy' }}</small>
                            <h2 class="mt-2">{{ news.title }}</h2>
                            <span><a href="#">{{ news.source_name }}</a></span>
                        </div>
                    </div>
                    <div class="tab-panel fade" [ngClass]="{'show active news-tab': tab == 'All Matches'}" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab" *ngIf="tab == 'All Matches'">
                        <div class="match-tab">
                            <div class="col-md-4 match-day-box">
                                <p><strong>Yesterday</strong></p>
                                <span>19-02-2021</span>
                            </div>
                            <div class="col-md-4 match-day-box">
                                <p><strong>Today</strong></p>
                                <span>19-02-2021</span>
                            </div>
                            <div class="col-md-4 match-day-box">
                                <p><strong>Tomorrow</strong></p>
                                <span>19-02-2021</span>
                            </div>
                        </div>

                        <div class="row match-box">
                            <div class="col-12 mt-4 mb-3">
                                <h4>Saudi Professional League</h4>
                            </div>

                            <div class="col-12">
                                <div class="list mr-1 ml-1 p-2 mb-1" *ngFor="let matches of matchesByRounds">
                                    <div class="row">
                                        <div class="col-4">
                                            <img [src]="matches.TeamFlagLocal" width="22" alt="goalak"> {{ matches.MatchScoreDetails.TeamScoreLocal.Name }}
                                        </div>
                                        <div class="col-4 bg-white text-center pt-1">
                                            {{ matches.MatchStartDateTimeUTC | date: 'hh:mm a' }}
                                        </div>
                                        <div class="col-4" style="text-align: right;">
                                            {{ matches.MatchScoreDetails.TeamScoreVisitor.Name }}
                                            <img [src]="matches.TeamFlagVisitor" width="22" alt="goalak">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>